For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
  • Main Reference
        • POSTCreate a new company.
        • GETRetrieve a list of managed companies.
        • PUTUpdate a company.
        • DELDelete a company.
LogoLogo
Main ReferenceCollectionsCompanies

Delete a company.

DELETE
https://api.invofox.com/companies/:id
DELETE
/companies/:id
1const url = 'https://api.invofox.com/companies/id';
2const options = {method: 'DELETE', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{}

Only recently created companies (without documents, providers, clients, or imports/exports associated to them) can be deleted.

Was this page helpful?
Previous

Create a new provider.

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
id of the company to modify

Response

The company was successfully deleted

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error